### Method

# Gio DataInputStream read_int64

#### Declaration

    gint64
    g_data_input_stream_read_int64 (
      GDataInputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description

Reads a 64-bit/8-byte value from `stream`.

In order to get the correct byte order for this read operation, see `g_data_input_stream_get_byte_order()` and g_data_input_stream_set_byte_order().

If `cancellable` is not `NULL`, then the operation can be cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint64`

A signed 64-bit/8-byte value read from `stream` or `0` if an error occurred.